תיקון התקליטור המושחת של Citrix ניקולס קונולי

תיקון התקליטור המושחת של Citrix

לאחר הסרת Citrix Receiver 3.4 Enterprise במהלך בדיקות מסוימות של בעיה אחרת הצלחתי להשחית את ההתקנה איכשהו.

ניסיתי להתקין מחדש אבל אם נכשלה בצורה לא נכונה עם השגיאה הבאה:

"תוכנית ההתקנה לא יכולה להמשיך כי גרסה זו של המקלט אינה תואמת לגירסה שהותקנה בעבר"

תוכנית ההתקנה לא יכולה להמשיך כי גרסה זו של המקלט אינה תואמת לגירסה שהותקנה בעבר

אז איך אני הולך על תיקון בעיה זו?

כמו עם כל בעיה המקלט ההתקנה עלינו לבדוק את העגלה יומן יומן קובץ המפורטים להלן:

C: UsersusernameAppDataLocalTemp 11:03:55: מידע - CApp :: CheckIfaclientPackageIsInstalled (1001) - בדיקה אם מותקנת חבילת 13.1 ומעלה. 11:03:55: מידע - CApp :: ReadInstalledPackageVersion (1081) - נמצאה חבילה קיימת של 13.4.0.25. 11:03:55: מידע - CApp :: SetExitCode (45) - קוד יציאה הוא 1603 (נקרא עם 1603) 11:03:55: שגיאה - CApp :: CheckIfaclientPackageIsInstalled (1057) - נמצאה חבילה קיימת 13.4.0.25. ההתקנה לא יכולה להימשך.

מקובץ היומן אנו יכולים לראות כי ההתקנה נכשלת בשל החבילה הקיימת שנמצאת (זהה להודעת השגיאה לעיל כפי שחשדנו!). אנחנו צריכים לגלות איפה TrolleyExpress הוא קורא את המידע, כך שנוכל לתפעל את המצב, הכלי הטוב ביותר הוא procmon (aka תהליך לפקח).

אני מסונן במהירות על עגלה express.exe וניסה את ההתקנה שוב. אנחנו יכולים לראות את התהליך מנסה לגשת מפתחות שונים וקבצים אשר גילה את המיקום הוא קורא את הנתונים מ.

אנחנו יכולים לראות את התהליך מנסה לגשת מפתחות שונים וקבצים אשר גילה את המיקום הוא קורא את הנתונים מ

הפתרון הוא למחוק את המפתח reg להלן כדי שנוכל להמשיך את ההתקנה.

HKEY_LOCAL_MACHINESOFTWAREMicrosoftWindowsCurrentVersionUninstallCitrixOnlinePluginFull

עכשיו מפעיל את ההתקנה שוב זה משלים בהצלחה!

עכשיו מפעיל את ההתקנה שוב זה משלים בהצלחה

fyi אתה בטח תראה מסמך דומה על support.citrix.com בקרוב מדי (נכתב על ידי לי כמובן).

 
Карта